Subject: bug#22626: closed (Re: bug#22626: Postgres service fails on adding user)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 Feb 2016 23:08:02 +0000

Your bug report

#22626: Postgres service fails on adding user

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22626: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22626
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22626: Postgres service fails on adding user
From: Christopher Allan Webber <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 Feb 2016 15:07:49 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès writes:

> Apparently there’s a stale lock file that prevents ‘groupadd’ from
> succeeding, maybe from an earlier crash or something?
>
> Could you forcefully remove /etc/*.lock and retry?

Well, that fixed it!  I guess I could have guessed by the context clues
being dumped into stdout... :)

Anyway, closed!

Subject: Postgres service fails on adding user
From: Christopher Allan Webber <[email-masked]>
To: [email-masked]
Date: Wed, 10 Feb 2016 16:13:19 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Heya all... guix system config attached.  I tried doing a guix system
reconfigure and it failboat'ed.  Here's what happened:

  adding user 'postgres'...
  useradd: group 'postgres' does not exist
  Backtrace:
  In ice-9/boot-9.scm:
    63: 19 [call-with-prompt prompt0 ...]
  In ice-9/eval.scm:
   432: 18 [eval # #]
  In ice-9/boot-9.scm:
  2401: 17 [save-module-excursion #<procedure 28dc940 at ice-9/boot-9.scm:4045:3 ()>]
  4050: 16 [#<procedure 28dc940 at ice-9/boot-9.scm:4045:3 ()>]
  1724: 15 [%start-stack load-stack ...]
  1729: 14 [#<procedure 28f3ea0 ()>]
  In unknown file:
     ?: 13 [primitive-load "/gnu/store/24mbii9wjlyzfzsqwfmcvz6vz2fv5n6g-guix-0.9.0.c3f29bc/bin/.guix-real"]
  In guix/ui.scm:
  1177: 12 [run-guix-command system "reconfigure" "guix-config.scm"]
  In ice-9/boot-9.scm:
   157: 11 [catch srfi-34 #<procedure 4fb2020 at guix/ui.scm:413:2 ()> ...]
   157: 10 [catch system-error ...]
  In guix/scripts/system.scm:
   701: 9 [process-action reconfigure ("guix-config.scm") ...]
  In guix/store.scm:
  1061: 8 [run-with-store # ...]
  In guix/scripts/system.scm:
   520: 7 [#<procedure 91f6f80 at guix/scripts/system.scm:520:13 (state)> #]
   302: 6 [#<procedure 9661740 at guix/scripts/system.scm:286:2 (state)> #]
  In unknown file:
     ?: 5 [primitive-load "/gnu/store/fnanaa7xalxa9h3yh1hpj3m5zgm9wasp-activate"]
  In ice-9/eval.scm:
   432: 4 [eval # ()]
  In ice-9/boot-9.scm:
   768: 3 [for-each #<procedure primitive-load (_)> #]
  In unknown file:
     ?: 2 [primitive-load "/gnu/store/hz2hnin6c12afvsyqxv0vs2rndxl9vpg-activate-servic
  e"]
  In ice-9/eval.scm:
   411: 1 [eval # ()]
  In unknown file:
     ?: 0 [getpw "postgres"]
  
  ERROR: In procedure getpw:
  ERROR: In procedure getpw: entry not found

Config attached.  Thanx!
 - cwebb